Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| fop 2.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.fop.fo
Class FOTreeBuilderContext

    java.lang.Object
      org.apache.fop.fo.FOTreeBuilderContext

    public class FOTreeBuilderContext

extends java.lang.Object

Context class providing information needed while building the FO tree.

Field Summary
`protected PropertyListMaker` | `propertyListMaker` The property list maker.
`protected XMLWhiteSpaceHandler` | `whiteSpaceHandler` The XMLWhitespaceHandler for this tree

Constructor Summary
`FOTreeBuilderContext()`

Method Summary
`java.util.Set` | `getIDReferences()` Returns the set of ID references.
`PropertyListMaker` | `getPropertyListMaker()` Return the propertyListMaker.
`XMLWhiteSpaceHandler` | `getXMLWhiteSpaceHandler()` Return the XMLWhiteSpaceHandler
`protected boolean` | `inMarker()` Check whether in marker context
`void` | `setPropertyListMaker(PropertyListMaker propertyListMaker)` Set a new propertyListMaker.
`protected void` | `switchMarkerContext(boolean inMarker)` Switch to or from marker context (used by FOTreeBuilder when processing a marker)

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### propertyListMaker

    protected PropertyListMaker propertyListMaker

  The property list maker.

### whiteSpaceHandler

    protected XMLWhiteSpaceHandler whiteSpaceHandler

  The XMLWhitespaceHandler for this tree

Constructor Detail

### FOTreeBuilderContext

    public FOTreeBuilderContext()

Method Detail

### getIDReferences

    public java.util.Set getIDReferences()

  Returns the set of ID references.

  Returns:
    the ID references

### getPropertyListMaker

    public PropertyListMaker getPropertyListMaker()

  Return the propertyListMaker.

  Returns:
    the currently active `PropertyListMaker`

### setPropertyListMaker

    public void setPropertyListMaker(PropertyListMaker propertyListMaker)

  Set a new propertyListMaker.

  Parameters:
    `propertyListMaker` - the new `PropertyListMaker` to use

### getXMLWhiteSpaceHandler

    public XMLWhiteSpaceHandler getXMLWhiteSpaceHandler()

  Return the XMLWhiteSpaceHandler

  Returns:
    the whiteSpaceHandler

### switchMarkerContext

    protected void switchMarkerContext(boolean inMarker)

  Switch to or from marker context (used by FOTreeBuilder when processing a marker)

  Parameters:
    `inMarker` - true if a marker is being processed; false otherwise

### inMarker

    protected boolean inMarker()

  Check whether in marker context

  Returns:
    true if a marker is being processed

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| fop 2.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 1999-2016 The Apache Software Foundation. All Rights Reserved.